From 18d400e71c415adc8a5e5c91e461968907d26606 Mon Sep 17 00:00:00 2001
From: Razvan Stefanescu <razvan.stefanescu@nxp.com>
Date: Thu, 6 Apr 2017 11:02:57 +0300
Subject: [PATCH] staging: dpaa2-evb: Fix W=1 warnings

Fix warnings triggered by '-Wsign-compare' flag.

Signed-off-by: Razvan Stefanescu <razvan.stefanescu@nxp.com>
---
 drivers/staging/fsl-dpaa2/evb/evb.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

--- a/drivers/staging/fsl-dpaa2/evb/evb.c
+++ b/drivers/staging/fsl-dpaa2/evb/evb.c
@@ -162,7 +162,7 @@ static irqreturn_t _evb_irq0_handler_thr
 	/* Sanity check */
 	if (WARN_ON(!evb_dev || !evb_dev->irqs || !evb_dev->irqs[irq_index]))
 		goto out;
-	if (WARN_ON(evb_dev->irqs[irq_index]->msi_desc->irq != irq_num))
+	if (WARN_ON(evb_dev->irqs[irq_index]->msi_desc->irq != (u32)irq_num))
 		goto out;
 
 	err = dpdmux_get_irq_status(io, 0, token, irq_index, &status);
@@ -890,7 +890,7 @@ static int evb_ethtool_get_sset_count(st
 static void evb_ethtool_get_strings(struct net_device *netdev,
 				    u32 stringset, u8 *data)
 {
-	int i;
+	u32 i;
 
 	switch (stringset) {
 	case ETH_SS_STATS:
@@ -906,7 +906,7 @@ static void evb_ethtool_get_stats(struct
 				  u64 *data)
 {
 	struct evb_port_priv	*port_priv = netdev_priv(netdev);
-	int			i;
+	u32			i;
 	int			err;
 
 	for (i = 0; i < ARRAY_SIZE(evb_ethtool_counters); i++) {
